# Interface methods for submodule: DirectFourierReconstructionImageToImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageToImageFilterProxy as _ImageToImageFilterProxy


# Interface methods for class: DirectFourierReconstructionImageToImageFilter
class DirectFourierReconstructionImageToImageFilterProxy(_ImageToImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetZeroPadding(self, _arg: int) -> None:
		""""""
		...

	def GetZeroPadding(self) -> int:
		""""""
		...

	def SetOverSampling(self, _arg: int) -> None:
		""""""
		...

	def GetOverSampling(self) -> int:
		""""""
		...

	def SetCutoff(self, _arg: float) -> None:
		""""""
		...

	def GetCutoff(self) -> float:
		""""""
		...

	def SetAlphaRange(self, _arg: float) -> None:
		""""""
		...

	def GetAlphaRange(self) -> float:
		""""""
		...

	def SetAlphaDirection(self, _arg: int) -> None:
		""""""
		...

	def GetAlphaDirection(self) -> int:
		""""""
		...

	def SetZDirection(self, _arg: int) -> None:
		""""""
		...

	def GetZDirection(self) -> int:
		""""""
		...

	def SetRDirection(self, _arg: int) -> None:
		""""""
		...

	def GetRDirection(self) -> int:
		""""""
		...

	def SetRadialSplineOrder(self, _arg: int) -> None:
		""""""
		...

	def GetRadialSplineOrder(self) -> int:
		""""""
		...

